//KULIC2

// GAI_Player1.cpp: implementation of the GAI_Player1 class.
//
//////////////////////////////////////////////////////////////////////

#include "ph.h"
#include "GAI_Player_Mouse.h"
#include "GActiveObject.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI_Player_Mouse::GAI_Player_Mouse(GEngine *engine, GActiveObject *object):
GAI(engine, object)
{

}

GAI_Player_Mouse::~GAI_Player_Mouse()
{

}

void GAI_Player_Mouse::Move()
{
	if (!m_object) return;

	Uint8 *keystate = SDL_GetKeyState(NULL);
	
	
	m_object->m_action4  = (keystate[SDLK_RETURN] != 0);      // oziveni
	if (!m_object->m_active) return;
		

	// pohyb klavesnici
	m_object->m_forward  = (keystate[SDLK_UP]    != 0) || (keystate[SDLK_w] != 0);
	m_object->m_backward = (keystate[SDLK_DOWN]  != 0) || (keystate[SDLK_s] != 0);
	m_object->m_left     = (keystate[SDLK_a] != 0);
	m_object->m_right    = (keystate[SDLK_d] != 0);
	
	Uint8 mousestate = SDL_GetMouseState(NULL, NULL);
	
//TODO: Udelat meneni zbrane na kolecko, leve strelba, prave zmena zbrane	
	// akce
	m_object->m_action1  = (keystate[SDLK_RCTRL] != 0) || (keystate[SDLK_LCTRL] != 0) ||((mousestate & SDL_BUTTON(1)) != 0);
	m_object->m_action2  = (mousestate & SDL_BUTTON(2)) != 0; // zmena zbrane
	m_object->m_action3  = (mousestate & SDL_BUTTON(3)) != 0; // nevim ?

	// zataceni klavesnici
	m_object->m_rotY = 0;
	if (keystate[SDLK_LEFT]  != 0) m_object->m_rotY = -10; 
	if (keystate[SDLK_RIGHT] != 0) m_object->m_rotY =  10; 
	
	// zataceni mysi
	int diff_x, diff_y;
	SDL_GetRelativeMouseState(&diff_x, &diff_y);
	m_object->m_rotY += ((float)(diff_x*abs(diff_x)))*0.02; // udelame rotaci parabolickou
}
