// GView.h: interface for the GView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GVIEW_H__4A9D6AF0_40F4_49BB_B675_0F079324999D__INCLUDED_)
#define AFX_GVIEW_H__4A9D6AF0_40F4_49BB_B675_0F079324999D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MAX_CAMERA_SETTINGS 6

class GEngine;
class GKulic;
class H3DModel;

// zobrazi aktualni stav - jde o jakousi "kameru" do sveta
class GView 
{
public:
	void Move();
	bool Init(GEngine *engine, GKulic *player);
	void Render();
	GView();
	virtual ~GView();

	GEngine  *m_engine;
	GKulic   *m_player;   // ukazatel na snimaneho hrace
	H3DModel *m_aiming;   // model zamerovace

	int      m_cameraID; // ID pohledu na panacka
	
};

#endif // !defined(AFX_GVIEW_H__4A9D6AF0_40F4_49BB_B675_0F079324999D__INCLUDED_)
