//KULIC2

#include "ph.h"

#include "GShoot.h"
#include "GWeapon.h"
#include "GKulic.h"

/* Struktura pro GShootParams 
typedef struct {
	H3DModel *    model;         // ID 3D modelu
	char*     modelfile[64];      // jmeno 3DSka s modelem strely

	int     period_ms;      // perioda opakovani cyklu - v milisekundach

	float speed;         // rychlost pohybu
	float rspeed;        // pridava se nejakay rand()%rspeed k speed
	float range;         // dolet - v poctu cyklu
	float rrange;        // pridavny rnadom dolet
	
	float acceleration;  // akcelerace strely

	int    demage;        // kolik ubere zivotu
	int    dead;          // ID smrti, ktera postihne zabiteho
	
	int    explosive;     // zda exploduje - v kolik dalsich se roztristi
	int    after_explode; // strely, ktere maji vzniknout pri explozi
	
	float y;             // vyska, ve ktere strela leti (zacina let)
	
	bool   falling;       // zda pada - nektere strely budou stoupat a pak padat - granaty
	float upseed;        // rychlost stoupani - jeste musime vyresit gravitaci
	
	int    souned_explode; // zvuk exploze?????????
} st_shoot_params;

*/

st_shoot_params GShootParams[MAX_SHOOTS]= {
	{ NULL, "zat.3ds",  5,   2, 0,  200, 0, 0.1,   20, 0,   0,  -1,  5,  false, 0, 0.1f, 0}, // normalni rychla strela
	{ NULL, "zat.3ds", 10,   1, 0,  100, 0, 0.1,   20, 0,  10,   2,  5,  false, 0, 0.5f, 0}, // vybuchujici
	{ NULL, "zat.3ds", 10,   1, 0,   30, 0, 0.1,   20, 0,   0,  -1,  5,  false, 0, 0.1f, 0}, // vybuch
	{ NULL, "zat.3ds", 10,   2, 0,  100, 0, 0.1,   20, 0,   1,   0,  5,  false, 0, 0.2f, 0},	 // strela jako 1, ale "meni" smer
	{ NULL, "zat.3ds",  7,   3, 0,  200, 0, 0.1,   10, 0,   0,   0,  5,  false, 0, 0.2f, 0},	 // strela typu Redeemer
};

/* Struktura pro GWeaponParams
typedef struct {
	char   name[15];      // jmeno zbrane
	char   modelfile[64]; // jmeno modelu zbrane
	int    bodymodel;     // cislo modelu telo pro zbran - 1 .. WEAPON_TYPES [ 0 == bezezbrane ]
	
	int    projectile;    // typ strely - podle st_shoot_params
	int    reload_time;   // cas potrebny k nabyti - v ms
	
	int    max_ammo;      // maximalni pocet naboju pro danou zbran
	int    start_ammo;    // pocet naboju pri "oziveni"
	
	int    angle;         // uhel rozptylu strel - ve stupnich
	float back_power;    // sila zpetneho razu pri vystrelu - hazi to s postavickou
	
	int    sound_fire;    // zvuk vystrelu
} st_weapon_params;
*/
st_weapon_params GWeaponParams[MAX_WEAPONS] = {
	{ "Weapon1", "w1.3ds", 1,   0, 150,    200,   200,     3,   1,    0},
	{ "Weapon2", "w2.3ds", 2,   1, 350,    200,   200,     0,   2,    0},
	{ "Weapon3", "w3.3ds", 3,   3, 200,    200,   200,     0,   1,    0},
	{ "Weapon4", "w4.3ds", 4,   4, 200,    2000,  2000,    5, 0.3,    0},
	{ "Weapon5", "w5.3ds", 5,   4, 200,    200,   200,     5, 0.3,    0},
};


/* Stuktura pro GKulicParams
typedef struct {
	int    model;           // ID 3D modelu -- TODO: tohle tu asi nebude !!!!!
	int    model_gview;     // ID 3D modelu pri zobrazovani dole ve statusu
	
	float base_speed;      // zakladni rychlost panacka
	float base_acceleration; // jak rychle umi panacek zrychlit <0..1>
	float slide_acceleration; // kdyz panacek "klouze"  <0..1>
	
	int    max_lives;       // maximalni pocet zovotu
	int    max_shield;      // maximum stitu
	
	int    weapon_prefered; // preferovana zbran -1 == zadna preferovana zbran
	
	float  stand_power;     // sila panacka - pri vypoctu zpetneho razu pri vystrelu - hazi to s postavickou
	
	int     period_ms;      // perioda opakovani cyklu - v milisekundach

	int    weapon_change_ms; // doba potrebna va zmeneni zbrane v ms

//	int    sound_???;    // zvuk necho???
} st_kulic_params;
*/

st_kulic_params GKulicParams[MAX_PLAYER_TYPES] = {
	{ 0, 0,   1.1, 0.6, 0.9,   100, 100,  -1,  1,  25, 500,  },
};
