// GBackGround.h: interface for the GBackGround class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GBACKGROUND_H__E239342E_BD0E_41BB_917B_8FE1DE5736B5__INCLUDED_)
#define AFX_GBACKGROUND_H__E239342E_BD0E_41BB_917B_8FE1DE5736B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GObject.h"
#include "H3DModel2.h"

class GEngineKulic;
	
// TODO: zatim je OCtree jen v GBackGround na testovani
//#include "HOctree.h"

class GBackGround : public GObject  
{
public:
	virtual void Render();
	GBackGround(GEngineKulic *engine);
	virtual ~GBackGround();

	int       m_texture; // textura pozadi
	
	H3DModel  *m_map_ground;  // model zeme
	H3DModel  *m_map_model;  // model pozadi
	H3DModel  *m_map_roof;   // model stechu
	H3DModel  *m_sky;        // model oblohy

	GEngineKulic *m_kengine; // ukazatel na engin kulice

//	COCtree   m_octree; // model, ale nasekany :-)
	
};

#endif // !defined(AFX_GBACKGROUND_H__E239342E_BD0E_41BB_917B_8FE1DE5736B5__INCLUDED_)
