//
// File: HFont.h
// Created by: berny <(null)>
// Created on: Thu Jun 19 06:26:12 2003
//

#ifndef _HFONT_H_
#define _HFONT_H_

/*
	Trida pro praci s fonty
	Mozna v ni casem pribude i vice moznych nacitani - ze dokaze obsahovat
	najednou ruzne fonty - neco jako fontstore
	
	Pouziva se
	1) proste se zavola printf(...) - kdykoliv
	2) zavola se InPrintfPrepare, pak mnohokrat InPrintf a nakonec InPrintfDone
	   jedine, co se muze delat mezitim je menit barvu!! Nic jineho!

*/
class HFont
{
	public:
		HFont();
		 ~HFont();
	
		// HFont interface
		bool LoadFont(char *filename);
	
		void printf(int x, int y, const char *pszFormat/*, ...*/);
	
		void InPrintfPrepare();
		void InPrintf(int x, int y, const char *pszFormat/*, ...*/);
		void InPrintfDone();
	
		void Destroy();
	
	protected:
		// HFont variables
	
		int      m_texture;
		GLuint	m_dlists;
};

extern HFont hfont;

#endif	//_HFONT_H_
